%{?python_enable_dependency_generator}

%global snapdate 20240613
%global commit 3156614a94a4767ee563530983cba87cf2aad193
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           m2crypto
Version:        0.41.0%{?snapdate:^git%{snapdate}.%{shortcommit}}
Release:    1%{?dist}
Summary:        Support for using OpenSSL in Python scripts

License:        MIT
URL:            https://gitlab.com/m2crypto/m2crypto/
%if %{defined snapdate}
Source0:         %{url}/-/archive/%{commit}/%{name}-%{commit}.tar.gz
%else
Source0:         %{pypi_source M2Crypto}
%endif
Patch:          0001-Don-t-expect-test_mkcert-to-fail-on-32-bit-Fedora-sp.patch

BuildRequires:  gcc
BuildRequires:  openssl
BuildRequires:  openssl-devel
BuildRequires:  perl-interpreter
BuildRequires:  pkgconfig
BuildRequires:  swig
BuildRequires:  which

%description
This package allows you to call OpenSSL functions from Python scripts.

%package -n python%{python3_pkgversion}-m2crypto
Summary:        Support for using OpenSSL in Python 3 scripts
%{?python_provide:%python_provide python%{python3_pkgversion}-m2crypto}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-m2crypto
This package allows you to call OpenSSL functions from Python 3 scripts.

%prep
%autosetup -n %{?snapdate:%{name}-%{commit}}%{!?snapdate:M2Crypto-%{version}} -p1

rm -f src/M2Crypto/m2crypto.py src/SWIG/_m2crypto_wrap.c

%build
%set_build_flags
if pkg-config openssl ; then
	CFLAGS="$CFLAGS `pkg-config --cflags openssl`" ; export CFLAGS
	LDFLAGS="$LDFLAGS`pkg-config --libs-only-L openssl`" ; export LDFLAGS
fi

%py3_build

%install
%set_build_flags
if pkg-config openssl ; then
	CFLAGS="$CFLAGS `pkg-config --cflags openssl`" ; export CFLAGS
	LDFLAGS="$LDFLAGS`pkg-config --libs-only-L openssl`" ; export LDFLAGS
fi

%py3_install

%check

%files -n python%{python3_pkgversion}-m2crypto
%doc CHANGES README.rst
%license LICENCE
%{python3_sitearch}/M2Crypto
%{python3_sitearch}/M2Crypto-*.egg-info/

%changelog
* Thu Aug 22 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.41.0^git20240613.3156614-1
- initial build
